Description

At one point the CSS correctly included padding for the anchors that get scrolled to, but it looks like the problem came back. In this
example you can see that the <h2><a> is hidden by the header:
http:/knb.ecoinformatics.org/m/#about/understanding-metadata

History

#1 - 09/06/2013 09:53 AM - ben leinfelder
- Description updated
- Assignee set to Lauren Walker

- Priority changed from Normal to High

#2 - 09/10/2013 09:52 AM - Lauren Walker

- Status changed from New to Closed

| vertically offset the anchors by the same height as the header so that they scroll to the correct place.

#3 - 09/12/2013 02:42 PM - ben leinfelder

- Status changed from Closed to In Progress

| rearranged it to be "simpler" by moving the "top" property into a[name]. Unfortunately this shifts content around in the EML documentation.
See:
http://localhost:8080/metacatui/index.html#external/emlparser/docs/eml-2.1.1/eml-resource.html#i18nNonEmptyStringType

Would be nice if those docs scrolled correctly and did not get garbled in their overlays.

#4 - 09/18/2013 09:20 AM - Lauren Walker

- Status changed from In Progress to Closed

| changed the markup in the EML documentation so that it will work with the fixed KNB header - just moved the empty anchor tag to right before the
heading and in the KNB CSS | offset it vertically by the same height as the header
